/*
 * Copyright 2015 aquenos GmbH.
 * All rights reserved.
 * 
 * Please refer to the file NOTICE.txt in the root of the source distribution or
 * in the META-INF directory of the binary archive for licensing information.
 */

/**
 * <p>
 * Channel name resolver.
 * This package contains classes that are used to resolve channel names.
 * </p>
 * <p>
 * Typically, user-code will not have to resolve channel names directly, but
 * will use a {@link com.aquenos.epics.jackie.client.ChannelAccessClient}
 * instead. The classes in this package are primarily intended for that client,
 * but they can also be used for code that does not want to connect to channels
 * but is just interested in finding them (e.g. for a channel name server).
 * </p>
 * <p>
 * Such code can create a
 * {@link com.aquenos.epics.jackie.client.resolver.ChannelNameResolver} for
 * resolving channel names. The implementation provided by
 * {@link com.aquenos.epics.jackie.client.resolver.DefaultChannelNameResolver}
 * should be suitable for most use cases.
 * </p>
 * <p>
 * The behavior of a channel name resolver can be fine tuned through the
 * {@link com.aquenos.epics.jackie.client.resolver.ChannelNameResolverConfiguration}
 * configuration class.
 * </p>
 */
package com.aquenos.epics.jackie.client.resolver;

